<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="COLLISION" with="oCharacter">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">
if (trapID == 0) {
  instance_destroy();
} else if (abs(other.xVel) &gt; 0 or abs(other.yVel) &gt; 0 or
           (oPlayer1.sprite_index == sDuckToHangL and oPlayer1.image_index &gt; 6) or
           (oPlayer1.sprite_index == sDamselDtHL and oPlayer1.image_index &gt; 6) or
           (oPlayer1.sprite_index == sTunnelDtHL and oPlayer1.image_index &gt; 6))
{
  with (trapID) {
    if (fired == 0) {
      if (vel &gt; 24) vel = 24;
      if (vel &lt; 0) vel = 0;
      if (facing == 0) {
        arrow = instance_create(x-2, y+4, projectile);
        arrow.xVel = -vel;
      } else {
        arrow = instance_create(x+18, y+4, projectile);
        arrow.xVel = vel;
      }
      fired += 1;
      playSound(snd);
    }
  }
  instance_destroy();
}
</argument>
      </arguments>
    </action>
  </actions>
</event>
